RubyGems Navigation menu

chef 15.0.300

A systems integration framework, built to bring the benefits of configuration management to your entire infrastructure.

Versions:

  1. 16.3.45 - July 29, 2020 (1.78 MB)
  2. 16.3.45 - July 29, 2020 universal-mingw32 (2.31 MB)
  3. 16.3.38 - July 27, 2020 (1.78 MB)
  4. 16.3.38 - July 27, 2020 universal-mingw32 (2.31 MB)
  5. 16.2.73 - July 01, 2020 (1.77 MB)
  6. 15.0.300 - May 16, 2019 (1.7 MB)
Show all versions (502 total)

Runtime Dependencies (29):

  • addressable >= 0
  • bcrypt_pbkdf ~> 1.0
  • bundler >= 1.10
  • chef-config = 15.0.300
  • chef-zero >= 14.0.11
  • diff-lcs ~> 1.2, >= 1.2.4
  • ed25519 ~> 1.2
  • erubis ~> 2.7
  • ffi ~> 1.9, >= 1.9.25
  • ffi-libarchive >= 0
  • ffi-yajl ~> 2.2
  • highline >= 1.6.9, < 2
  • iniparse ~> 1.4
  • license-acceptance ~> 1.0, >= 1.0.5
  • mixlib-archive >= 0.4, < 2.0
  • mixlib-authentication ~> 2.1
  • mixlib-cli >= 1.7, < 3.0
  • mixlib-log >= 2.0.3, < 4.0
  • mixlib-shellout >= 2.4, < 4.0
  • net-sftp ~> 2.1, >= 2.1.2
  • net-ssh >= 4.2, < 6
  • net-ssh-multi ~> 1.2, >= 1.2.1
  • ohai ~> 15.0
  • plist ~> 3.2
  • proxifier ~> 1.0
  • syslog-logger ~> 1.6
  • train-core ~> 2.0, >= 2.0.12
  • tty-screen ~> 0.6
  • uuidtools ~> 2.1.5
  • Owners:

    Authors:

    • Adam Jacob

    SHA 256 checksum:

    c380d999f54761f3775cb19691ec29236893bfccd1056680dcee7ef3a8f31ce3

    Total downloads 14,390,301

    For this version 21,533

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    Apache-2.0

    Required Ruby Version: >= 2.5.0

    Links: